Bug 845506 - gluster volume start --xml outputs wrong xml structure
gluster volume start --xml outputs wrong xml structure
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Kaushal
: Triaged
Depends On:
Blocks: 849294 858461
  Show dependency treegraph
 
Reported: 2012-08-03 05:24 EDT by Bala.FA
Modified: 2015-11-22 21:57 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849294 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:20:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bala.FA 2012-08-03 05:24:15 EDT
gluster volume start --xml outputs

<cliOutput>
  <volStart>
    <flags>0</flags>
    <volname>test1</volname>
  </volStart>
</cliOutput>

expected output is
<cliOutput>
  <opRet>0</opRet>
  <opErrno>0</opErrno>
  <opErrstr/>
  <volStart>
    <volume>
      <name>music</name>
      <id>b3114c71-741b-4c6f-a39e-80384c4ea3cf</id>
      <status>1</status>
    </volume>
  </volStart>
</cliOutput>
Comment 1 Kaushal 2012-10-10 03:21:01 EDT
Patch under review at http://review.gluster.org/3869
Comment 2 Kaushal 2012-10-11 23:50:10 EDT
Fixed by commit f1f3d1c (cli: Changes and enhancements to XML output) for bug https://bugzilla.redhat.com/show_bug.cgi?id=828131 . Reviewed at http://review.gluster.org/3869 .
Comment 3 Bala.FA 2012-10-17 02:08:37 EDT
Not fixed in upstream

[root@localhost x86_64]# gluster volume start music --xml
[root@localhost x86_64]# 

If a volume is in started state, it returns error xml correctly

[root@localhost x86_64]# gluster volume start music --xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<cliOutput><opRet>-1</opRet><opErrno>0</opErrno><opErrstr>Volume music already started</opErrstr></cliOutput>

Note You need to log in before you can comment on or make changes to this bug.